<?php

/**

 * @package	HikaShop for Joomla!

 * @version	2.2.3

 * @author	dfi85.com

 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html

 */

defined('_JEXEC') or die('Restricted access');

?><?php

class plgHikashoppaymentBanktransfer extends hikashopPaymentPlugin {

	var $name = 'Cheques Kadeos';

	var $multiple = true;

	var $pluginConfig = array(

		 'order_status' => array('ORDER_STATUS', 'orderstatus', 'verified'),

		 'status_notif_email' => array('ORDER_STATUS_NOTIFICATION', 'boolean','0'),

		 'information' => array('BANK_ACCOUNT_INFORMATION', 'big-textarea')

	);



	function onAfterOrderConfirm(&$order,&$methods,$method_id){

		$method =& $methods[$method_id];

		$this->modifyOrder($order, $method->payment_params->order_status, @$method->payment_params->status_notif_email, false);



		$this->removeCart = true;



		$this->information = $method->payment_params->information;

		if(preg_match('#^[a-z0-9_]*$#i',$this->information)){

			$this->information = JText::_($this->information);

		}

		$currencyClass = hikashop_get('class.currency');

		$this->amount = $currencyClass->format($order->order_full_price,$order->order_currency_id);

		$this->order_number = $order->order_number;



		$this->return_url =& $method->payment_params->return_url;



		return $this->showPage('end');



	}



	function getPaymentDefaultValues(&$element) {

		$element->payment_name='Cheques Kadeos';

		$element->payment_description='Vous pouvez payer par chèques kadéos';

		$element->payment_images='kadeos';



		$element->payment_params->information='Veuillez envoyer vos chèques Kadéos à l adresse suivante : <br/>

<br/>

Adresse<br/>

<br/>

Code postal<br/>

<br/>

Ville<br/>';

		$element->payment_params->order_status='created';

	}

}

